--AH:ScriptId=E35F39A3-C90A-47B9-A3C6-469A1DE5A505

ALTER TABLE [ServerConfigurations]
	ADD [ServerConfiguration_Status_Priority] AS CAST(CASE WHEN [ServerConfiguration_Status_Code] = 'D' AND [RemediatedWith_Job_Id] IS NULL THEN 0 WHEN [ServerConfiguration_Status_Code] = 'D' THEN 1 ELSE 2 END AS TINYINT) PERSISTED NOT NULL
GO

CREATE INDEX [IX__ServerConfigurations__Priority]
	ON [ServerConfigurations] ([Server_Id], [ServerConfiguration_Status_Priority])

CREATE INDEX [IX__ServerConfigurations__ServerRole_Id]
	ON [ServerConfigurations] ([CollectedFor_ServerRole_Id], [ServerConfiguration_Status_Priority])
