EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Environments_GetEnvironment',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'Environments_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified environment and its servers.'
GO


IF OBJECT_ID('[Environments_GetEnvironment]') IS NOT NULL DROP PROCEDURE [Environments_GetEnvironment]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Environments_GetEnvironment]
(
    @Environment_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT * 
	  FROM [Environments_Extended]
     WHERE [Environment_Id] = @Environment_Id

END
GO

GRANT EXECUTE ON [Environments_GetEnvironment] TO [OtterUser_Role]