EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Schedules_GetSchedules',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Schedules_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all schedules in the system.'
GO


IF OBJECT_ID('[Schedules_GetSchedules]') IS NOT NULL DROP PROCEDURE [Schedules_GetSchedules]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Schedules_GetSchedules]
(
    @IncludeInactive_Indicator YNINDICATOR
)   
AS
BEGIN

	SET NOCOUNT ON

	SELECT * 
	  FROM [Schedules_Extended]
     WHERE (@IncludeInactive_Indicator = 'Y' OR [Active_Indicator] = 'Y')

END
GO

GRANT EXECUTE ON [Schedules_GetSchedules] TO [OtterUser_Role]